Bug 90062 - redhat-config-network generates 3 different ifcfg-eth0
Summary: redhat-config-network generates 3 different ifcfg-eth0
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: redhat-config-network (Show other bugs)
(Show other bugs)
Version: 9
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Harald Hoyer
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-05-01 21:02 UTC by og
Modified: 2007-04-18 16:53 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-05-06 13:37:49 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description og 2003-05-01 21:02:11 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (compatible; Konqueror/3.1; Linux)

Description of problem:
after altering ip settungs with redhat-config-network i have 3 different config files for each interface on my harddisk (in etc/sysconfig/network-scripts/, /etc/sysconfig/networking/ and in /etc/sysconfig/networking/profiles/default/)

wouldn't one file for each interface and a couple of symlinks be enough?


Version-Release number of selected component (if applicable):
redhat-config-network-tui-1.2.0-2

How reproducible:
Always

Steps to Reproduce:
1. use redhat-config-network
2. change an ip adrress
3.
    

Actual Results:  i have three config files for each interface in three different localtions

Expected Results:  having one config file

Additional info:

Comment 1 Harald Hoyer 2003-05-06 13:37:49 UTC
these are hardlinked and reflect the profile setting...
only the one in /etc/sysconfig/network-scripts should be used by any other
tools/script like ifup/ifdown


Note You need to log in before you can comment on or make changes to this bug.